Get Access Token

API Credentials

Deliverect uses OAuth 2.0 for API authentication. When a partner is registered, a client_id and client_secret are issued for use in the staging environment. These credentials are used to obtain an access_token, which must be included as a Bearer token in the Authorization header of all API requests.

Authorization: Bearer your-access-token

Production Credentials
Certification is required before granting API access to our production environment.

Token Expiry & Caching

Access tokens expire at the time specified in expires_at. Always cache and reuse tokens until expiry. Do not request a new token for every API call.

API credentials should be stored securely and never shared with customers

Scopes

Scopes define the permissions associated with your access token, a complete list of available scopes below are granted according to the agree integration format

ScopeAccess
genericCommerceAll endpoints within the Commerce API
genericChannel:{channel_scope}All endpoints within the Channel API
genericPOSAll endpoints within the POS + Store API
storeAll endpoints within the Store API
genericFulfillmentAll endpoints within the Dispatch API
genericKDSAll endpoints within the KDS API
paymentsAll endpoints within the DPAY API

Webhook HMAC Authentication

Deliverect signs all outbound webhook requests using HMAC authentication.

Refer to the HMAC Authentication Guide for implementation details:

Body Params
string
required
Defaults to {client_id}
string
required
Defaults to {client_secret}
string
required
Defaults to https://api.staging.deliverect.com
string
required
Defaults to client_credentials
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json